> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Blasts

> List all blasts with optional channel/status filters.



## OpenAPI

````yaml get /comms/blasts
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/blasts:
    get:
      tags:
        - Message Blasts
      summary: List Blasts
      description: List all blasts with optional channel/status filters.
      operationId: list_blasts_comms_blasts_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - asc
                  - desc
                type: string
              - type: 'null'
            title: Sort Direction
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
        - name: channel
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/BlastChannel'
              - type: 'null'
            title: Channel
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/BlastStatus'
              - type: 'null'
            title: Status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_BlastSummary_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BlastChannel:
      type: string
      enum:
        - SMS
        - EMAIL
      title: BlastChannel
    BlastStatus:
      type: string
      enum:
        - PENDING
        - SENDING
        - WARMING
        - COMPLETED
        - PARTIALLY_FAILED
        - FAILED
        - STOPPED
      title: BlastStatus
    Page_BlastSummary_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/BlastSummary'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[BlastSummary]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BlastSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        channel:
          $ref: '#/components/schemas/BlastChannel'
        status:
          $ref: '#/components/schemas/BlastStatus'
        cohortId:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortid
        cohortName:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortname
        cohortIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cohortids
        cohortNames:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cohortnames
        senderId:
          type: string
          title: Senderid
        totalRecipients:
          type: integer
          title: Totalrecipients
          default: 0
        sentCount:
          type: integer
          title: Sentcount
          default: 0
        deliveredCount:
          type: integer
          title: Deliveredcount
          default: 0
        failedCount:
          type: integer
          title: Failedcount
          default: 0
        bouncedCount:
          type: integer
          title: Bouncedcount
          default: 0
        optedOutCount:
          type: integer
          title: Optedoutcount
          default: 0
        sentAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sentat
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - channel
        - status
        - senderId
        - createdDate
      title: BlastSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````